Bug 96742 - EDITING: Make choice available for F4 or Shft+F4 for absolute reference toggle in Options > Calc > Interoperability
Summary: EDITING: Make choice available for F4 or Shft+F4 for absolute reference toggl...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-27 20:37 UTC by Cor Nouws
Modified: 2016-02-27 22:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2015-12-27 20:37:03 UTC
Per issue 59418 the behavior for F4 changed.
Now both F4 and Shft+F4 do the same.
IMO it's better to give users the choice, as is done with more legacy<>Excel key bindings in Options > Calc > Interoperability.
Comment 1 m.a.riosv 2015-12-27 22:24:05 UTC
Hi Cor, I think this matter is discussed on https://bugs.documentfoundation.org/show_bug.cgi?id=59418
Comment 2 Cor Nouws 2015-12-27 23:13:34 UTC
(In reply to m.a.riosv from comment #1)
> Hi Cor, I think this matter is discussed on
> https://bugs.documentfoundation.org/show_bug.cgi?id=59418

Hi Mario,

I added the suggestion there. And indeed there are one or two supporters of the idea. But there was no conclusion or patch. So I though a new issue would be best.
What do you think?
Comment 3 m.a.riosv 2015-12-28 00:15:42 UTC
Really I don't know, but if you prefer to follow in this thread, set up as new, make the choice available it's the best solution.
Comment 4 Yousuf Philips (jay) (retired) 2016-02-27 22:21:16 UTC
The below fix, fixed this issue.

----------------

Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dab16a16fa3b853f7e139fc91817752b38dc9171

tdf#97906 : Toggle reference and show data sources shortcuts

It will be available in 5.2.0.